# Poco

# class PoolOverflowException

Library: Foundation
Package: Core
Header: Poco/Exception.h

## Inheritance

Direct Base Classes: RuntimeException

All Base Classes: Exception, RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### PoolOverflowException

PoolOverflowException(
int code = 0
);

### PoolOverflowException

PoolOverflowException(
const PoolOverflowException & exc
);

### PoolOverflowException

PoolOverflowException(
const std::string & msg,
int code = 0
);

### PoolOverflowException

PoolOverflowException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### PoolOverflowException

PoolOverflowException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~PoolOverflowException

~PoolOverflowException();

## Member Functions

### className

const char * className() const;

See also: Poco::RuntimeException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const;

See also: Poco::RuntimeException::name()

### operator =

PoolOverflowException & operator = (
const PoolOverflowException & exc
);

### rethrow

void rethrow() const;

See also: Poco::RuntimeException::rethrow()